package com.diagbot.dto;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AuthDetailDTO implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 订单号
     */
    private String num;

    /**
     * 产品名称
     */
    private String name;

    /**
     * 是否通过审核,0.不通过1.通过2.待审核
     */
    private Integer auditStatus;
    
    /**
     * 审核信息
     */
    private String auditStatusMsg;
    
    /**
     * 不通过类型
     */
    private Integer rejectType;

    /**
     * 不通过原因
     */
    private String rejectReason;


}
