package com.diagbot.dto;

import com.diagbot.entity.LantoneProduct;
import com.diagbot.entity.ServiceInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/10/23 19:11
 */
@Getter
@Setter
public class LantoneProductOrgDTO extends LantoneProduct {
    /**
     * 开通日期
     */
    private Date startTime;

    /**
     * 结束日期
     */
    private Date endTime;

    /**
     * 订单申请时间
     */
    private Date time;

    /**
     * 停用状态
     */
    private Integer openedServiceStatus;

    /**
     * 计费方式
     */
    private String[] chargeTypeArray;
    /**
     * 接入方式（1：嵌入式，2：接口方式，3：online）
     */
    private String[] accessTypeArray;

    /**
     * 机构名称
     */
    private String organizationName;

    /**
     * 关联的service
     */
    private List<ServiceInfo> serviceInfos;

    /**
     * 仅线上模式
     */
    private Boolean onlyOnline;

    /**
     * 已过期
     */
    private Boolean isExpired;

    /**
     * 未到开通时间
     */
    private Boolean unStarted;
}
