package com.diagbot.dto;

import com.diagbot.entity.ServiceToken;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:产品服务关联信息返回类
 * @author: zhaops
 * @time: 2018/9/18 19:58
 */
@Getter
@Setter
public class ProductServiceDTO {
    /*private ProductService productService;
    private LantoneProduct lantoneProduct;
    private ServiceInfo serviceInfo;*/
    private ServiceToken serviceToken;

    private Long productId;
    private Long serviceId;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品介绍
     */
    private String productDecription;


    /**
     * 服务名称
     */
    private String serviceName;

    /**
     * 服务说明
     */
    private String serviceDescription;
}
