package com.diagbot.entity;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 订单表
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
@Getter
@Setter
public class ProductOrderIndex implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 订单编号
     */
    private String num;

    /**
     * 审核状态
     */
    private Integer auditStatus;

    /**
     * 用户id
     */
    private List<Long> userId;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;
}
