package com.diagbot.entity.wrapper;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/9/21 15:04
 */
@Getter
@Setter
public class OrderDetailsWapper {
    /**
     * 订单明细id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 审核状态（0.不通过1.通过）
     */
    private Integer auditStatus;

    /**
     * 订单状态（0.未付款1.已付款）
     */
    private Integer status;

    /**
     * 付费状态名称
     */
    private String payStatusName;

    /**
     * 不通过类型
     */
    private Integer rejectType;

    /**
     * 不通过类型说明
     */
    private String rejectTypeName;

    /**
     * 不通过原因
     */
    private String rejectReason;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 订单编号
     */
    private String orderNum;

    private Date startTime;//开始时间

    private Date endTime;//结束时间

    private Date orderTime; //下单时间

    private String username;// 用户名

    private Long orgId;//机构ID

    private String orgName;//机构名称

}
