package com.diagbot.entity.wrapper;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/10/15 13:07
 */
@Setter
@Getter
public class UserRenewalsWrapper {

    /**
     * 页数
     */
    private Long current;
    /**
     * 每页显示条数
     */
    private Long size;
    /**
     * 续费状态
     */
    private Integer renewalsStatus;

    /**
     * 机构名称
     */
    private String orgName;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 用户id
     */
    private List<Long> userId;

    /**
     * 是否取消续费
     */
    private Integer cancelRenewals;

    /**
     * 产品id
     */
    private Long productId;

}
