package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.ServiceInfo;
import com.diagbot.entity.wrapper.ServiceInfoWrapper;

import java.util.List;
/**
 * <p>
 * 用户服务表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
public interface ServiceInfoMapper extends BaseMapper<ServiceInfo> {

    /**
     * 根据用户id取服务端列表
     * @param userId
     * @return
     */
    List<ServiceInfoWrapper> selectWrapperListByUserId(Long userId);
}
