package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.ServiceInfo;
import com.diagbot.entity.wrapper.ServiceInfoWrapper;

import java.util.List;

/**
 * <p>
 * 用户服务表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
public interface ServiceInfoService extends IService<ServiceInfo> {
    /**
     * 根据用户id取服务端列表
     * @param userId
     * @return
     */
    List<ServiceInfoWrapper> selectWrapperListByUserId(Long userId);
}
