package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.ProductOrderDTO;
import com.diagbot.entity.ProductOrder;
import com.diagbot.entity.ProductOrderIndex;
import com.diagbot.mapper.ProductOrderMapper;
import com.diagbot.service.ProductOrderService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 订单表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
@Service
public class ProductOrderServiceImpl extends ServiceImpl<ProductOrderMapper, ProductOrder> implements ProductOrderService {

    @Override
    public ProductOrder selctOrderTimeByOrderNum(ProductOrder productOrder) {
        return baseMapper.selctOrderTimeByOrderNum(productOrder);
    }

    @Override
    public IPage<ProductOrderDTO> selectAllProductOrder(Page page, ProductOrderIndex productOrderIndex) {
        return baseMapper.selectAllProductOrder(page,productOrderIndex);
    }

}
