package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ServiceInfo;
import com.diagbot.entity.wrapper.ServiceInfoWrapper;
import com.diagbot.mapper.ServiceInfoMapper;
import com.diagbot.service.ServiceInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 用户服务表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
@Service
public class ServiceInfoServiceImpl extends ServiceImpl<ServiceInfoMapper, ServiceInfo> implements ServiceInfoService {
    /**
     * 根据用户id取服务端列表
     * @param userId
     * @return
     */
    public List<ServiceInfoWrapper> selectWrapperListByUserId(Long userId){
        return baseMapper.selectWrapperListByUserId(userId);
    }
}
