package com.diagbot.mapper;

import com.diagbot.entity.InquiryDetail;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * <p>
 * 问诊记录明细表 Mapper 接口
 * </p>
 *
 * @author rengb
 * @since 2018-11-23
 */
public interface InquiryDetailMapper extends BaseMapper<InquiryDetail> {
	
	/**
	 * 批量保存问诊明细
	 * @param inquiryDetailList
	 */
	public void saveInquiryDetails(List<InquiryDetail> inquiryDetailList);

}
