package com.diagbot.mapper;

import com.diagbot.dto.QuestionUsualDTO;
import com.diagbot.entity.QuestionUsual;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.QuestionUsualVO;

import java.util.List;

/**
 * <p>
 * 常用标签表 Mapper 接口
 * </p>
 *
 * @author wangyu
 * @since 2018-11-16
 */
public interface QuestionUsualMapper extends BaseMapper<QuestionUsual> {

    /**
     * 根据科室code获取常用标签
     * @return
     */
    public List<QuestionUsualDTO> getQuestionUsualName(QuestionUsualVO questionUsualVO);
}
