package com.diagbot.mapper;

import com.diagbot.dto.RetrievalDTO;
import com.diagbot.entity.Retrieval;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.RetrievalVO;

import java.util.List;

/**
 * <p>
 * 检索表 Mapper 接口
 * </p>
 *
 * @author wangyu
 * @since 2018-11-16
 */
public interface RetrievalMapper extends BaseMapper<Retrieval> {

    /**
     * 获取主诉信息
     * @param retrievalVO
     * @return
     */
    public List<RetrievalDTO> getSymptopInfo(RetrievalVO retrievalVO);
}
