package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.DisScaleDTO;
import com.diagbot.entity.DisScale;

import java.util.List;

/**
 * <p>
 * 诊断量表映射表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2019-03-11
 */
public interface DisScaleService extends IService<DisScale> {

    /**
     * 返回诊断量表列表
     *
     * @return
     */
    public List<DisScaleDTO> getDisScale(Long disId);
}
