package com.diagbot.vo;

import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2018年11月23日 上午10:03:11
 */
@Getter
@Setter
public class BuriedSomeStatisticalVO {
	 /**
     * 医院id
     */
	@NotNull(message = "请输入医院id")
    private Long hospitalId;

    /**
     * 部门id
     */
	@NotNull(message = "请输入部门id")
    private Long hospitalDeptId;

    /**
     * 医生id
     */
	@NotNull(message = "请输入医生id")
    private Long doctorId;

    /**
     * 病人id
     */
	@NotNull(message = "请输入病人id")
    private Long patientId;

    /**
     * 就诊号
     */
	@NotBlank(message = "请输入就诊号")
    private String inquiryCode;

	private List<Taggeds> taggeds;
	
}
