package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:通过标签获取提示信息入参
 * @Author:zhaops
 * @time: 2018/11/16 10:29
 */
@Getter
@Setter
public class IntroduceByQuestionVO {
    private Long questionId;
    private String tagName;
    @NotNull(message = "请输入标签类型")
    private Integer type;
    @NotNull(message = "请输入展示位置")
    private Integer position;
}
