package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/26 17:05
 */
@Getter
@Setter
public class PushKYJVO {
    @NotNull(message = "请输入年龄")
    private Integer age;
    @NotNull(message = "请输入性别")
    private Integer sex;
    @NotBlank(message = "请输入推送类型")
    private String featureType;
    private List<LisResult> lisResultList;
}
