package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.dto.GetDeptInfoDTO;
import com.diagbot.entity.DeptInfo;
import com.diagbot.vo.GetDeptInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 科室信息表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-11-22
 */
public interface DeptInfoMapper extends BaseMapper<DeptInfo> {

    /**
     * 分页获取科室信息
     * @param getDeptInfoVO
     * @return
     */
    public IPage<GetDeptInfoDTO> getAllDeptInfo(GetDeptInfoVO getDeptInfoVO);

    /**
     * 获取科室名称
     * @return
     */
    public List<DeptInfoDTO> getDeptName();
}
