package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.IntroducePageDTO;
import com.diagbot.entity.IntroduceInfo;
import com.diagbot.vo.IntroducePageVO;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 提示信息 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-11-16
 */
public interface IntroduceInfoMapper extends BaseMapper<IntroduceInfo> {
    /**
     * 获取提示信息分页信息
     *
     * @param introducePageVO
     * @return
     */
    IPage<IntroducePageDTO> getIntroducePage(@Param("introducePageVO")IntroducePageVO introducePageVO) ;
}
