package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.ModuleInfoListDTO;
import com.diagbot.entity.ModuleInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.GetModuleInfoVO;

import java.util.Map;

/**
 * <p>
 * 模型表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-05
 */
public interface ModuleInfoMapper extends BaseMapper<ModuleInfo> {

    public void deleteByIds(Map map);

    /**
     * 获取模板列表
     *
     * @param getModuleInfoVO
     * @return
     */
    public IPage<ModuleInfoListDTO> getModuleInfoListByType(GetModuleInfoVO getModuleInfoVO);
}
