package com.diagbot.mapper;

import com.diagbot.dto.VersionWrapperDTO;
import com.diagbot.entity.VersionInfo;
import com.diagbot.vo.VersionWrapperNameVO;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * <p>
 * 版本信息(关于) Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-20
 */
public interface VersionInfoMapper extends BaseMapper<VersionInfo> {

	public IPage<VersionWrapperDTO> getVersionInfoAPage(Page page, @Param("versionWrapperNameVO") VersionWrapperNameVO versionWrapperNameVO);
}
