package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.ModuleInfoListDTO;
import com.diagbot.entity.ModuleInfo;
import com.diagbot.vo.GetModuleInfoVO;

import java.util.Map;

/**
 * <p>
 * 模型表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-05
 */
public interface ModuleInfoService extends IService<ModuleInfo> {

    /**
     * 根据id删除标签模板
     *
     * @param map
     * @return
     */
    public void deleteByIds(Map map);

    /**
     * 获取模板列表
     *
     * @param getModuleInfoVO
     * @return
     */
    public IPage<ModuleInfoListDTO> getModuleInfoListByType(GetModuleInfoVO getModuleInfoVO);
}
