package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.GetQuestionUsualAndTypeDTO;
import com.diagbot.entity.QuestionUsual;
import com.diagbot.vo.GetQuestionUsualAndTypeVO;
import com.diagbot.vo.QuestionUsualVO;

import java.util.List;

/**
 * <p>
 * 常用标签表 服务类
 * </p>
 *
 * @author wangyu
 * @since 2018-12-03
 */
public interface QuestionUsualService extends IService<QuestionUsual> {

    /**
     * 根据标签id获取常用标签信息
     *
     * @param questionUsualVO
     * @return
     */
    public List<QuestionUsual> getQuestionUsualByQuestionId(QuestionUsualVO questionUsualVO);

    /**
     * 根据科室id获取常用标签
     *
     * @return
     */
    public List<GetQuestionUsualAndTypeDTO> getQuestionUsualByDeptIds(GetQuestionUsualAndTypeVO getQuestionUsualAndTypeVO);

}
