package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.DeptVitalDTO;
import com.diagbot.entity.DeptVital;
import com.diagbot.mapper.DeptVitalMapper;
import com.diagbot.service.DeptVitalService;
import com.diagbot.vo.DeptVitalPageVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 科室查体对应表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-22
 */
@Service
public class DeptVitalServiceImpl extends ServiceImpl<DeptVitalMapper, DeptVital> implements DeptVitalService {
    /**
     * 查体模板分页信息
     *
     * @param deptVitalPageVO
     * @return
     */
    public IPage<DeptVitalDTO> getDeptVitalPage(DeptVitalPageVO deptVitalPageVO) {
        return baseMapper.getDeptVitalPage(deptVitalPageVO);
    }
}
