package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.DisclaimerInformationDTO;
import com.diagbot.entity.DisclaimerInformation;
import com.diagbot.mapper.DisclaimerInformationMapper;
import com.diagbot.service.DisclaimerInformationService;
import com.diagbot.vo.DisclaimerInformationAllVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 免责申明详情 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-20
 */
@Service
public class DisclaimerInformationServiceImpl extends ServiceImpl<DisclaimerInformationMapper, DisclaimerInformation> implements DisclaimerInformationService {


    @Override
    public IPage<DisclaimerInformationDTO> getDisclaimerInformationAll(Page page, DisclaimerInformationAllVO disAll) {

        return baseMapper.getDisclaimerInformationAll(page, disAll);
    }

}
