package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.ModuleInfoListDTO;
import com.diagbot.entity.ModuleInfo;
import com.diagbot.mapper.ModuleInfoMapper;
import com.diagbot.service.ModuleInfoService;
import com.diagbot.vo.GetModuleInfoVO;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 模型表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-05
 */
@Service
public class ModuleInfoServiceImpl extends ServiceImpl<ModuleInfoMapper, ModuleInfo> implements ModuleInfoService {

    @Override
    public void deleteByIds(Map map) {
        baseMapper.deleteByIds(map);
    }

    @Override
    public IPage<ModuleInfoListDTO> getModuleInfoListByType(GetModuleInfoVO getModuleInfoVO) {
        return baseMapper.getModuleInfoListByType(getModuleInfoVO);
    }
}
