package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.GetQuestionUsualAndTypeDTO;
import com.diagbot.entity.QuestionUsual;
import com.diagbot.mapper.QuestionUsualMapper;
import com.diagbot.service.QuestionUsualService;
import com.diagbot.vo.GetQuestionUsualAndTypeVO;
import com.diagbot.vo.QuestionUsualVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 常用标签表 服务实现类
 * </p>
 *
 * @author wangyu
 * @since 2018-12-03
 */
@Service
public class QuestionUsualServiceImpl extends ServiceImpl<QuestionUsualMapper, QuestionUsual> implements QuestionUsualService {

    @Override
    public List<QuestionUsual> getQuestionUsualByQuestionId(QuestionUsualVO questionUsualVO) {
        return baseMapper.getQuestionUsualByQuestionId(questionUsualVO);
    }

    @Override
    public List<GetQuestionUsualAndTypeDTO> getQuestionUsualByDeptIds(GetQuestionUsualAndTypeVO getQuestionUsualAndTypeVO) {
        return baseMapper.getQuestionUsualByDeptIds(getQuestionUsualAndTypeVO);
    }
}
