package com.diagbot.service.impl;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.RetrievalListDTO;
import com.diagbot.entity.Retrieval;
import com.diagbot.mapper.RetrievalMapper;
import com.diagbot.service.RetrievalService;
import com.diagbot.vo.RetrievalListVO;

/**
 * <p>
 * 同义词检索表 服务实现类
 * </p>
 *
 * @author wangyu
 * @since 2018-12-03
 */
@Service
public class RetrievalServiceImpl extends ServiceImpl<RetrievalMapper, Retrieval> implements RetrievalService {
	
	@Override
	public IPage<RetrievalListDTO> getRetrievalList(RetrievalListVO retrievalListVO) {
		return this.baseMapper.getRetrievalList(retrievalListVO);
	}


}
