package com.diagbot.vo;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:52
 */
@ApiModel(value="根据标签id删除标签的同义词接口传参")
@Getter
@Setter
public class DelRetrievalsByQuesIdVO {
	
	/**
     * 标签id
     */
	@ApiModelProperty(value="标签id",required=true)
	@NotNull(message="标签id必传")
    private Long questionId;
	

}
