package com.diagbot.vo;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

/**
 * 更新版本详情信息
 * @author wangfeng
 * @Description: TODO
 * @date 2018年11月27日 上午10:20:56
 */
@Getter
@Setter
public class VersionDetailVO {

	   /**
     * 版本主表id
     */
	@NotNull(message = "请输入id")
    private Long detailId;

    /**
     * 标题
     */
    private String title;

    /**
     * 描述
     */
    private String description;

    /**
     * 排序号
     */
    private String orderNo;

    /**
     * 1：启动，0：不启用
     */
    private String status;

    /**
     * 备注
     */
    private String remark;
}
