package com.diagbot.vo;

import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotBlank;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * 保存版本信息
 * @author wangfeng
 * @Description: TODO
 * @date 2018年11月28日 上午10:55:17
 */
@Getter
@Setter
public class VersionInfoVO {

	/**
	 * 用户id
	 */
	//private Long id;
	/**
     * 名称
     */
	@NotBlank(message = "请输入名称")
    private String name;

    /**
     * 时间
     */
	@NotBlank(message = "请输入时间")
    private String refreshTime;

    /**
     * 1：启动，0：不启用
     */
   // private String status;

    /**
     * 备注
     */
    private String remark;
    
    private List<VersionDetailVO> versionDetail;
}
