package com.diagbot.mapper;

import com.diagbot.dto.ConceptDTO;
import com.diagbot.entity.Concept;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.TermVo;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface ConceptMapper extends BaseMapper<Concept> {
    /**
     * 获取术语概念信息
     * @param termVo
     * @return ConceptDTO
     */
    public ConceptDTO getConcept(TermVo termVo);
}
