package com.diagbot.service.impl;

import com.diagbot.dto.ConceptDTO;
import com.diagbot.entity.Concept;
import com.diagbot.mapper.ConceptMapper;
import com.diagbot.service.ConceptService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.TermVo;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@Service
public class ConceptServiceImpl extends ServiceImpl<ConceptMapper, Concept> implements ConceptService {
    @Override
    public ConceptDTO getConcept(TermVo termVo) {
        return baseMapper.getConcept(termVo);
    }
}
