package com.diagbot.service.impl;

import com.diagbot.dto.LibraryDTO;
import com.diagbot.dto.TermDTO;
import com.diagbot.entity.Library;
import com.diagbot.mapper.LibraryMapper;
import com.diagbot.service.LibraryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.TermVo;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-14
 */
@Service
public class LibraryServiceImpl extends ServiceImpl<LibraryMapper, Library> implements LibraryService {
    @Override
    public LibraryDTO getLibrary(TermVo termVo) {
        return baseMapper.getLibrary(termVo);
    }
}
