package com.diagbot.facade;

import com.diagbot.dto.InforDTO;
import com.diagbot.dto.LibraryDTO;
import com.diagbot.service.impl.InformationServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 术语知识查询业务层
 * @author: Weixuan Huang
 * @time: 2019/1/16 14:17
 */
@Component
public class InformationFacade extends InformationServiceImpl {

    /**
     * 获取医学术语知识
     *
     * @param LibraryDTO
     * @result InforDTO
     */
    public List<InforDTO> getInfor(LibraryDTO libraryDTO) {
        List<InforDTO> inforDTO = this.getInfomation(libraryDTO);
        return inforDTO;
    }
}
