package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/19 13:05
 */
@Getter
@Setter
public class PatientInfoDTO {
    /**
     * 主键
     */
    private Long id;
    /**
     * 医院编码
     */
    private String hospitalCode;

    /**
     * 医院患者编号
     */
    private String code;

    /**
     * 患者姓名
     */
    private String name;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 出生日期
     */
    private Date birthday;

    /**
     * 证件类型
     */
    private String idType;

    /**
     * 证件号码
     */
    private String idNo;

    /**
     * 家庭住址
     */
    private String address;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 身份证号
     */
    private String identityNum;

    /**
     * 家庭邮编
     */
    private String postcode;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 联系人电话
     */
    private String contactPhone;

    /**
     * 就职单位名称
     */
    private String workUnit;

    /**
     * 职业
     */
    private String operation;

    /**
     * 国籍
     */
    private String country;

    /**
     * 民族
     */
    private String nationality;

    /**
     * 婚姻状况：0未婚，1已婚，2未知
     */
    private Integer matrimony;

    /**
     * 备注
     */
    private String remark;
}
