package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;

import com.diagbot.dto.HospitalInfoDTO;
import com.diagbot.service.impl.HospitalInfoServiceImpl;
import com.diagbot.vo.HospitalInfoVO;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/22 13:43
 */
@Component
public class HospitalInfoFacade extends HospitalInfoServiceImpl {

    /**
     * 获取医院信息
     *
     * @param hospitalInfoVO
     * @return
     */
    public List<HospitalInfoDTO> getHospitalInfo(HospitalInfoVO hospitalInfoVO) {
        List<HospitalInfoDTO> hospitalInfoDTOList = this.getHospitalInfos(hospitalInfoVO);
        return hospitalInfoDTOList;
    }

}