package com.diagbot.web;

import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.InquiryInfoFacade;
import com.diagbot.vo.SaveInquiryToHisVO;

import io.swagger.annotations.Api;

/**
 * <p>
 * 对接问诊信息控制器
 * </p>
 *
 * @author rengb
 * @since 2019-3-18
 */
@RestController
@RequestMapping("/inquiryInfo")
@Api(value = "对接问诊信息API", tags = { "对接问诊信息API" })
@SuppressWarnings("unchecked")
public class InquiryInfoController {
	
	 @Autowired
	 private InquiryInfoFacade inquiryInfoFacade;
	 
	 @PostMapping("/saveInquiryToHis")
	 @SysLogger("saveInquiryToHis")

	 public RespDTO<Boolean> saveInquiryToHis(@Valid @RequestBody SaveInquiryToHisVO saveInquiryToHisVO) {
		 
		 
		
	     return RespDTO.onSuc(true);
	 }

}
