package com.diagbot.dto;

import com.diagbot.entity.SymptomWrapper;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 部位症状关联信息
 * @Author: ztg
 * @Date: 2018/10/24 16:11
 */
@Getter
@Setter
public class PartDTO {

    private Long id;// 部位id
    private String name;//部位名称
    private Long parentId;// 上级id
    private List<SymptomWrapper> symptomList = new ArrayList<>(); //症状列表
}
