package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.PartDTO;
import com.diagbot.dto.PartSymptomDTO;
import com.diagbot.entity.Part;

import java.util.List;
import java.util.Map;

/**
 * @Description: Mapper 接口
 * @Author: ztg
 * @Date: 2018/10/24 16:02
 */
public interface PartMapper extends BaseMapper<Part> {

    /**
     * 根据部位ids获取部位信息
     * @param map
     * @return
     */
    public List<PartSymptomDTO> getByPartId(Map map);

    /**
     * 根据部位parentIds获取部位信息
     * @param map
     * @return
     */
    public List<PartDTO> getByParentId(Map map);
}
