package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: 导出机构信息
 * 
 * @date 2018年10月11日 下午4:37:40
 */
@Setter
@Getter
public class ExportOrganizationDTO {
	private static final long serialVersionUID = 1L;
	private String orgId;// 机构ID
	private String orgGmtCreate;// 记录创建时间
	private String orgName;// 机构名称
	private String orgPrincipal;// 负责人
	private String orgType;// 机构属性
	private String orgAddress;// 机构地址
	private String linkman;// 用户名

	public ExportOrganizationDTO(String orgId, String orgGmtCreate,String orgName,String orgPrincipal,
			String orgType,String orgAddress, String linkman) {
	        this.orgId = orgId;
	        this.orgGmtCreate = orgGmtCreate;
	        this.orgName = orgName;
	        this.orgPrincipal = orgPrincipal;
	        this.orgType = orgType;
	        this.orgAddress = orgAddress;
	        this.linkman = linkman;
	}

	public ExportOrganizationDTO() {

	}

}
