package com.diagbot.dto;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 用户认证进度输出类
 * @author: rgb
 * @time: 2018/8/2 14:22
 */
@Getter
@Setter
public class QueryAuthProgressDTO implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    private Integer userStatus;//用户认证状态
    
    private String userStatusMsg;//用户认证状态信息

    private Integer isReject;//是否通过认证 0:未通过，1:已通过
    
    private String rejectType;//未通过类型
    
    private String rejectComment;//认证被拒理由

}
