package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:用户认证信息
 * @author: zhaops
 * @time: 2018/9/17 15:01
 */
@Getter
@Setter
public class UserAuthenticationDTO {
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 联系人
     */
    private String linkman;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 用户类型
     */
    private Integer userType;

    /**
     * 机构id
     */
    private Long organizationId;
    /**
     * 机构名称
     */
    private String organizationName;

    /**
     * 机构类型
     */
    private Integer organizationType;

    /**
     * 机构负责人
     */
    private String principal;

    /**
     * 机构地址
     */
    private String address;

    /**
     * 下属机构数量
     */
    private Integer subNum;

    /**
     * 岗位信息
     */
    private String position;

    /**
     * 是否通过认证 0:未通过，1:已通过
     */
    private Integer isReject;

    /**
     * 未通过类型
     */
    private Integer rejectType;

    /**
     * 认证被拒理由
     */
    private String rejectComment;

    /**
     * 认证状态（0：未认证，1：已认证，2：认证中）
     */
    private Integer authStatus;

    /**
     * 认证状态
     */
    private String authStatusName;
}
