package com.diagbot.dto;

import com.diagbot.enums.ConstantEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 登录返回的用户信息
 * @author: gaodm
 * @time: 2018/9/28 15:10
 */
@Getter
@Setter
public class UserLoginDTO {

    /**
     * 用户名
     */
    private String username;


    /**
     * 联系人
     */
    private String linkman;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 用户类型
     */
    private Integer type;

    /**
     * 用户类型中文
     */
    private String typeCn;


    /**
     * 所属部门
     */
    private String dept;

    /**
     * 所属岗位
     */
    private String position;

    /**
     * 手机号码
     */
    private String phone;

    public String getTypeCn() {
        return ConstantEnum.getName(this.type);
    }
}
