package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.Permission;

import java.util.List;

/**
 * @Description: 资源mapper
 * @Author: ztg
 * @Date: 2018/9/14 13:42
 */
public interface PermissionMapper extends BaseMapper<Permission> {

    /**
     * @Description: 根据用户获取资源信息
     * @Author: ztg
     * @Date: 2018/9/17 20:19
     */
    public List<Permission> getByUserId(Long userId);

}
