package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.Menu;
import com.diagbot.entity.wrapper.MenuWrapper;

import java.util.List;

/**
 * @Description: menuService
 * @Author: ztg
 * @Date: 2018/9/17 15:40
 */
public interface MenuService extends IService<Menu> {

    /**
     * @Description: 获取菜单信息
     * @Author: ztg
     * @Date: 2018/9/17 15:43
     */
    public List<MenuWrapper> getByRole(Long userId);


    /**
     * @Description: 获取子级菜单
     * @Author: ztg
     * @Date: 2018/9/17 15:44
     */
    public List<MenuWrapper> getSubMenuById(Long id);
}
