package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.Permission;

import java.util.List;

/**
 * @Description: 资源Service
 * @Author: ztg
 * @Date: 2018/9/17 15:40
 */
public interface PermissionService extends IService<Permission> {

    /**
     * @Description: 根据用户获取资源信息
     * @Author: ztg
     * @Date: 2018/9/17 20:19
     */
    public List<Permission> getPermissionByUserId(Long userId);
}
