package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.UserOrganization;

import java.util.List;
import java.util.Map;

/**
 * @Description: 用户-组织机构service
 * @Author: ztg
 * @Date: 2018/9/13 19:00
 */
public interface UserOrganizationService extends IService<UserOrganization> {

    /**
     * @Description: 查询用户-机构
     * @Author: ztg
     * @Date: 2018/9/17 15:16
     */
    public List<UserOrganization> selectByMap(Map map);

    /**
     * 根据机构id查绑定的用户
     * @param userORG
     * @return
     */
    public List<UserOrganization> getAgencyPersonnel(UserOrganization userORG);
}
