package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:用户验证输入信息
 * @author: zhaops
 * @time: 2018/9/14 14:22
 */
@Getter
@Setter
public class UserAuthenticationVO {
    @NotBlank(message = "请输入手机号")
    private String username;
    private String position;
    @NotBlank(message = "请输入机构名称")
    private String organization;
    private String organizationPrincipal;
    private String organizationAddress;
    private Integer organizationType;
    private Integer subOrganizationNum;
}
