package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author wangfeng
 * @Description: 用于超级管理员增加用户
 * @date 2018年9月19日 下午5:25:23
 */
@Getter
@Setter
public class UserInfoVO {

    @NotBlank(message = "请输入密码")
    private String password;
    @NotBlank(message = "请输入手机号")
    private String username;
    @NotBlank(message = "请输入机构名称")
    private String organization;
    @NotBlank(message = "请输入联系人姓名")
    private String linkman;
    @NotBlank(message = "请输入邮箱")
    private String email; //邮箱
}
