package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 登录参数
 * @Author: ztg
 * @Date: 2018/9/28 13:14
 */
@Getter
@Setter
public class UserLoginVO {

    @NotBlank(message = "请输入手机号!")
    private String username;
    @NotBlank(message = "请输入密码!")
    private String password;

}
