package com.diagbot.dto;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class GetConsoleOpenedDTO implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 已开通产品id
     */
    private Integer openId;

    /**
     * 产品id
     */
    private Integer productId;

    /**
     * 产品名称
     */
    private String name;

    /**
     * 开通日期
     */
    private String startTime;

    /**
     * 结束日期
     */
    private String endTime;

    /**
     * 当前用户的产品停用状态
     */
    private Integer serviceStatus;
    
    /**
     * 当前用户产品停用状态信息
     */
    private String serviceStatusMsg;


    /**
     * 接入方式（1：嵌入式，2：接口方式，3：online）
     */
    private String accessType;
    
    /**
     * 接入方式信息
     */
    private String accessTypeMsg;
    
    /**
     * 是否续费中，0-否  1-是
     */
    private Integer renewalsStutas;
    
    /**
     *  0-过期,1-未过期
     */
    private Integer isExpire;
    
    /**
     * 产品地址
     */
    private String url;
    
    /**
     * 
     */
    private String appKeyId;
    
    /**
     * 
     */
    private String appKeySecret;
    
    /**
     * 是否可以进入
     */
    private Integer isInto;
    
    /**
     * 是否显示生成token
     */
    private Integer isCreateToken;
    
    /**
     * 是否可以开始使用
     */
    private Integer isBegin;
    
}