package com.diagbot.dto;

import com.diagbot.enums.AuditStatusEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:  导出类
 * @Author: wangyu
 * @Date: 19:31 2018/10/9
 */
@Getter
@Setter
public class ProductOrderExportDTO {
    private static final long serialVersionUID = 1L;
    private String id;
    private String time;
    private String num;
    private String orgName;
    private String linkman;
    private String userName;
    private String email;
    private String auditStatus;


    public String getAuditStatus() {
        return AuditStatusEnum.getName(Integer.valueOf(auditStatus));
    }

    public ProductOrderExportDTO(String id, String time, String num, String orgName, String linKman, String userName, String email,
                                 String auditStatus) {
        this.id = id;
        this.time = time;
        this.num = num;
        this.orgName = orgName;
        this.linkman = linKman;
        this.userName = userName;
        this.email = email;
        this.auditStatus = auditStatus;
    }

    public ProductOrderExportDTO() {

    }
}
