package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 用户和机构信息
 * @Author: ztg
 * @Date: 2018/9/20 10:32
 */

@Getter
@Setter
public class UserOrgDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long userId;//用户ID
    private String username;// 用户名
    private String linkman;//联系人
    private String email;// 邮箱
    private Long orgId;//机构ID
    private String orgName;//机构名称
    private Integer isReject; //是否通过认证
    private Integer subNum;//机构数量
    private Integer auStatus;  //认证状态（0：未认证，1：已认证，2：认证中）

}
