package com.diagbot.entity;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 订单表
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
@Getter
@Setter
public class OrderDetailStatus implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 总条数
     */
    private Integer ct;

    /**
     * 不通过条数
     */
    private Integer notPass;

    /**
     * 通过条数
     */
    private Integer pass;

    /**
     * 待审核条数
     */
    private Integer notAudit;

}
