package com.diagbot.entity.wrapper;

import com.diagbot.dto.OrderDetialsDTO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/9/24 19:47
 */
@Getter
@Setter
public class ProductOrderWrapper{
    /**
     * 订单id
     */
    private Long id;

    /**
     * 订单编号
     */
    private String num;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 下单时间（申请时间）
     */
    private Date time;

    /**
     * 审核状态
     */
    private Integer auditStatus;

    private String username;// 用户名

    private String linkman;//联系人

    private String email;// 邮箱

    private Long orgId;//机构ID

    private String orgName;//机构名称

    private List<OrderDetialsDTO> orderDetial;//订单明细
}
