package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.entity.ProductService;
import com.diagbot.entity.wrapper.ProductServiceWrapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 服务端维护表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
public interface ProductServiceMapper extends BaseMapper<ProductService> {

    /**
     * 查询产品与服务端的关联列表（分页）
     *
     * @param page
     * @param productService
     * @return
     */
    IPage<ProductServiceWrapper> selectProductServicePage(Page page, @Param("productService") ProductServiceWrapper productService);
}
