package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.ServiceFilter;
import com.diagbot.entity.wrapper.ServiceTokenWrapper;

import java.util.List;
import java.util.Map;

/**
 * @Description: 产品服务过滤
 * @Author: ztg
 * @Date: 2018/9/18 14:38
 */
public interface ServiceFilterMapper extends BaseMapper<ServiceFilter> {

    /**
     * @Description: 获取所有的过滤服务
     * @Author: ztg
     * @Date: 2018/9/18 14:57
     */
    public List<ServiceFilter> getAll();

    /**
     * @Description: 根据Map中的参数取值
     * @Author: ztg
     * @Date: 2018/9/18 14:57
     */
    public List<ServiceTokenWrapper> getPermissionUrl(Map map);

}
