package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.ProductOrderDTO;
import com.diagbot.entity.ProductOrder;
import com.diagbot.entity.ProductOrderIndex;

/**
 * <p>
 * 订单表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
public interface ProductOrderService extends IService<ProductOrder> {

    /**
     * @Description: 根据订单号查询订单信息
     * @Author: wangyu
     * @Date: 19:39 2018/9/20
     */
    ProductOrder selctOrderTimeByOrderNum(ProductOrder productOrder);

    /**
     * @Description: 订单申请查询所有订单信息接口
     * @Author: wangyu
     * @Date: 19:39 2018/9/20
     */
    IPage<ProductOrderDTO> selectAllProductOrder(Page page, ProductOrderIndex productOrderIndex);

}
