package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description: 据用户id和产品id，修改启用时间入参
 * @date 2018年9月21日 上午10:57:03
 */
@Getter
@Setter
public class ModifyOpeningTimeVO {
    @NotNull(message = "请输入到期时间")
    private String endTime;
    @NotNull(message = "请输入用户id")
    private Long userId;
    @NotNull(message = "请输入产品id")
    private Long productId;
    @NotNull(message = "请输入续费单号")
    private String renewalsNo;

}
