package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

/**
 * @Description: appkey 和 secret接收类
 * @Author: rgb
 * @Date: 2018/11/8 14:10
 */
@SuppressWarnings("serial")
@Getter
@Setter
public class OpenProductCheckVO implements Serializable {

    private Long openId;
    
    @NotNull(message = "产品id不能为空")
    private Long productId;
}
