package com.diagbot.client.hystrix;

import com.diagbot.client.SymptomFeatureClient;
import com.diagbot.client.bean.Response;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/2/26 10:33
 */
@Component
@Slf4j
public class SymptomFeatureHystrix implements SymptomFeatureClient {

    @Override
    public  Response<List<Map<String, Object>>> symptomFeaturePageData(@RequestParam("text") String text) {
        log.error("【hystrix】调用{}异常", "symptomFeaturePageData");
        return null;
    }
}
