package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2019/01/14 45:00
 */
@ApiModel(value="获取最近一次其他史信息接口出参")
@Getter
@Setter
public class GetLastOtherDTO {
	
	/**
	 * 内容JSON字符串
	 */
	@ApiModelProperty(value="内容JSON字符串")
	private String dataJson;
	
	/**
	 * 问诊明细中的其他史
	 */
	@ApiModelProperty(value="问诊明细中的其他史")
	private String otherStr;
	
}
