package com.diagbot.dto;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: 医生病历模板出参
 * @date 2018年11月16日 上午10:40:27
 */
@Getter
@Setter
public class TemplateInfoDTO {
	 private Long id;//模板id
	 private Date  gmtCreate;//创建时间
	 private String creator;//创建人id
	 private String name;//模板名字
	 private Long doctorId;//医生id
	 private Long hospitalId;//医院id
	 private Long hospitalDeptId;//部门id
	 private Integer sex;//性别
	 private String type;//模板类型
	 private String  preview;//预览文字
	 private String dataJson;//模板数据
	 private String remark;//备注

}
