package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 标签明细表
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@Getter
@Setter
@TableName("icss_question_detail")
public class QuestionDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * question_id
     */
    private Long questionId;


    /**
     * 排序号
     */
    private Integer orderNo;


    /**
     * 特殊类型
     */
    private Integer code;

    /**
     * 是否默认被选中（0：不选中，1：选中）
     */
    private String defaultSelect;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否异常
     */
    private Integer abnormal;


}
