package com.diagbot.entity.wrapper;

import com.diagbot.entity.QuestionInfo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 标签扩展表
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@Getter
@Setter
public class QuestionInfoWrapper extends QuestionInfo {

    private Long parentQuestion; //父级问题ID
    private Integer position; //显示位置
    private Integer exclusionType; //互斥类型
    private Integer symptomType; //主症状和伴随症状对应的question类型
    private Integer formPosition; //填写单显示位置

}
