package com.diagbot.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.TemplateInfoDTO;
import com.diagbot.entity.TemplateInfo;

/**
 * <p>
 * 模板表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-16
 */
public interface TemplateInfoMapper extends BaseMapper<TemplateInfo> {
	
	//根据医生id查询该医生保存的病历模板
	public List<TemplateInfoDTO> findByDoctorIdTemplate(TemplateInfo templateInfo);

}
