package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.RetrievalDTO;
import com.diagbot.entity.Retrieval;
import com.diagbot.vo.RetrievalVO;

import java.util.List;

/**
 * <p>
 * 检索表 服务类
 * </p>
 *
 * @author wangyu
 * @since 2018-11-16
 */
public interface RetrievalService extends IService<Retrieval> {

    /**
     * 获取主诉信息
     *
     * @param retrievalVO
     * @return
     */
    public List<RetrievalDTO> getSymptopInfo(RetrievalVO retrievalVO);
}
