package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.DisDTO;
import com.diagbot.entity.DisType;
import com.diagbot.mapper.DisTypeMapper;
import com.diagbot.service.DisTypeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 标签基础表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@Service
public class DisTypeServiceImpl extends ServiceImpl<DisTypeMapper, DisType> implements DisTypeService {


    @Override
    public List<DisDTO> getDisType() {
        return baseMapper.getDisType();
    }
}
