package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.RetrievalDTO;
import com.diagbot.entity.Retrieval;
import com.diagbot.mapper.RetrievalMapper;
import com.diagbot.service.RetrievalService;
import com.diagbot.vo.RetrievalVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 检索表 服务实现类
 * </p>
 *
 * @author wangyu
 * @since 2018-11-16
 */
@Service
public class RetrievalServiceImpl extends ServiceImpl<RetrievalMapper, Retrieval> implements RetrievalService {

    @Override
    public List<RetrievalDTO> getSymptopInfo(RetrievalVO retrievalVO) {
        return baseMapper.getSymptopInfo(retrievalVO);
    }
}
