package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2018年11月23日 上午10:35:30
 */
@Getter
@Setter
public class Taggeds {

	/**
     * 标签ID
     */
	@NotNull(message = "请输入标签ID")
    private Integer labelId;

    /**
     * 标签名
     */
    private String labelName;

    /**
     * 操作类型
     */
    @NotBlank(message = "请输入操作类型")
    private String operationType;

    /**
     * 操作次数
     */
    private Integer operationNum;
    
    /**
     * 是否存在标签库
     */
    private Integer status;
}
