package com.diagbot.dto;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月17日上午10:11:39
 */
@ApiModel(value="获取标签同义词列表接口出参")
@Getter
@Setter
public class RetrievalListDTO {
	
	/**
     * 标签id
     */
	@ApiModelProperty(value="标签id")
    private Long questionId;
	
	/**
	 * 标签名称
	 */
	@ApiModelProperty(value="标签名称")
	private String questionName;
	
	/**
	 * 本体
	 */
	@ApiModelProperty(value="本体")
	private String retrievalSelfName;
	
	/**
	 * 别名
	 */
	@ApiModelProperty(value="别名")
	private String retrievalNames;
	
	/**
	 * 子项
	 */
	@ApiModelProperty(value="子项")
	private String retrievalSonNames;
	
    /**
     * 操作人姓名
     */
	@ApiModelProperty(value="操作人姓名")
    private String operatorName;
    
    /**
     * 操作时间
     */
	@ApiModelProperty(value="操作时间")
    private Date gmtOperate;

}
