package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DeptVitalDTO;
import com.diagbot.entity.DeptVital;
import com.diagbot.vo.DeptVitalPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 科室查体对应表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-11-22
 */
public interface DeptVitalMapper extends BaseMapper<DeptVital> {
    /**
     * 查体模板分页信息
     *
     * @param deptVitalPageVO
     * @return
     */
    IPage<DeptVitalDTO> getDeptVitalPage(@Param("deptVitalPageVO") DeptVitalPageVO deptVitalPageVO);
}
