package com.diagbot.mapper;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.dto.DisclaimerInformationDTO;
import com.diagbot.entity.DisclaimerInformation;
import com.diagbot.vo.DisclaimerInformationAllVO;

/**
 * <p>
 * 免责申明详情 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-20
 */
public interface DisclaimerInformationMapper extends BaseMapper<DisclaimerInformation> {
	
	public IPage<DisclaimerInformationDTO> getDisclaimerInformationAll(Page page, @Param("disAll") DisclaimerInformationAllVO disAll);

}
