package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.DeptVitalDTO;
import com.diagbot.entity.DeptVital;
import com.diagbot.vo.DeptVitalPageVO;

/**
 * <p>
 * 科室查体对应表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-22
 */
public interface DeptVitalService extends IService<DeptVital> {
    /**
     * 查体模板分页信息
     *
     * @param deptVitalPageVO
     * @return
     */
    IPage<DeptVitalDTO> getDeptVitalPage(DeptVitalPageVO deptVitalPageVO);
}