package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.IntroducePageDTO;
import com.diagbot.entity.IntroduceInfo;
import com.diagbot.vo.IntroducePageVO;

/**
 * <p>
 * 提示信息 服务类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-16
 */
public interface IntroduceInfoService extends IService<IntroduceInfo> {
    /**
     * 获取提示信息分页信息
     *
     * @param introducePageVO
     * @return
     */
    IPage<IntroducePageDTO> getIntroducePage(IntroducePageVO introducePageVO);
}
