package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.IntroducePageDTO;
import com.diagbot.entity.IntroduceInfo;
import com.diagbot.mapper.IntroduceInfoMapper;
import com.diagbot.service.IntroduceInfoService;
import com.diagbot.vo.IntroducePageVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 提示信息 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-16
 */
@Service
public class IntroduceInfoServiceImpl extends ServiceImpl<IntroduceInfoMapper, IntroduceInfo> implements IntroduceInfoService {

    /**
     * 获取提示信息分页信息
     *
     * @param introducePageVO
     * @return
     */
    public IPage<IntroducePageDTO> getIntroducePage(IntroducePageVO introducePageVO) {
        return this.baseMapper.getIntroducePage(introducePageVO);
    }
}
