package com.diagbot.vo;

import javax.validation.constraints.NotBlank;

import lombok.Getter;
import lombok.Setter;

/**
 * 增加免责申明详情
 * @author wangfeng
 * @Description: TODO
 * @date 2018年12月13日 下午2:33:36
 */
@Getter
@Setter
public class DisclaimerInformationVO {
	 /**
     * 主表id
     */
   // private Long versionId;

    /**
     * 标题
     */
	@NotBlank(message = "请输入标题")
    private String title;

    /**
     * 描述
     */
	@NotBlank(message = "请输入描述")
    private String description;

    /**
     * 排序号
     */
    private String orderNo;

    /**
     * 免责申明编号
     */
    private String disclaimerCode;

    /**
     * 备注
     */
    private String remark;

}
