package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/12/25 17:26
 */
@Getter
@Setter
public class ModuleGetQuestionInfoVO {
    /**
     * 标签名称
     */
    private String tagName;

    /**
     * 模板id
     */
    private String moduleId;

    /**
     * 要去重的id
     */
    private List<Long> noIds;

    /**
     * 标签类型
     */
    @NotNull(message="归属类型不能为空")
    private Integer type;
}
