package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 修改科室信息入参
 * @author: wangyu
 * @time: 2018/12/5 16:17
 */
@Getter
@Setter
public class UpdateDeptInfoVO {
    @NotBlank(message = "请输入id")
    private String id;
    /**
     * 科室名称
     */
    private String name;
    /**
     * 备注，介绍说明
     */
    private String remark;
}
