package com.diagbot.service.impl;

import com.diagbot.dto.InforDTO;
import com.diagbot.dto.LibraryDTO;
import com.diagbot.entity.Information;
import com.diagbot.mapper.InformationMapper;
import com.diagbot.service.InformationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-14
 */
@Service
public class InformationServiceImpl extends ServiceImpl<InformationMapper, Information> implements InformationService {
    public List<InforDTO> getInfomation(LibraryDTO libraryDTO) {
        return baseMapper.getInformation(libraryDTO);
    }
}
