package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @Description:术语信息保存参数
 * @Author:Weixuan Huang
 * @time: 2019/01/30 09:49
 */
@Getter
@Setter
public class InformationVO {
    private Long id;
    @NotBlank(message = "请输入名称")
    private String name;
    private String remark;
    private List<InformationDetailVO> detailVOList;
}
