package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/1/14 17:03
 */
@Getter
@Setter
public class TermDTO {
    /**
     * 主键
     *
    private long id;

    /**
     * 名称
     *
    private String term;

    /**
     * 类型
     *
    private String type;

    /**
     * 同义词
     *
    private String synonymous;

    /**
     * 术语基本信息
     */
    private LibraryDTO library;

    /**
     * 术语相关医学知识
     */
    private List<InforDTO> information;

    /**
     * 医学临床信息
     */
    private List<MedicalDTO> medicalInfo;
}
