package com.diagbot.facade;

import com.diagbot.dto.LibraryDTO;
import com.diagbot.dto.MedicalDTO;
import com.diagbot.service.impl.MedicalServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 术语临床信息查询业务层
 * @author: Weixuan Huang
 * @time: 2019/1/16 16:07
 */
@Component
public class MedicalFacade extends MedicalServiceImpl {

    /**
     * 获取医学术语知识
     *
     * @param LibraryDTO
     * @result MedicalDTO
     */
    public List<MedicalDTO> getInfor(LibraryDTO libraryDTO) {
        List<MedicalDTO> medicalDTO = getMedicalInfo(libraryDTO);
        return medicalDTO;
    }
}
