package com.diagbot.mapper;

import com.diagbot.dto.InforDTO;
import com.diagbot.dto.LibraryDTO;
import com.diagbot.entity.Information;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-14
 */
public interface InformationMapper extends BaseMapper<Information> {
    /**
     * 获取术语医学知识信息
     * @param LibraryDTO
     * @return InforDTO
     */
    public List<InforDTO> getInformation(LibraryDTO libraryDTO);
}
