package com.diagbot.mapper;

import com.diagbot.dto.LibraryDTO;
import com.diagbot.dto.MedicalDTO;
import com.diagbot.entity.Medical;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-16
 */
public interface MedicalMapper extends BaseMapper<Medical> {
    /**
     * 获取术语临床医学信息
     *
     * @param LibraryDTO
     * @result MedicalDTO
     */
    public List<MedicalDTO> getMedicalInfo(LibraryDTO libraryDTO);
}
