package com.diagbot.service.impl;

import com.diagbot.dto.LibraryDTO;
import com.diagbot.dto.MedicalDTO;
import com.diagbot.entity.Medical;
import com.diagbot.mapper.MedicalMapper;
import com.diagbot.service.MedicalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-16
 */
@Service
public class MedicalServiceImpl extends ServiceImpl<MedicalMapper, Medical> implements MedicalService {
    public List<MedicalDTO> getMedicalInfo(LibraryDTO libraryDTO) {
        return baseMapper.getMedicalInfo(libraryDTO);
    }
}
