package com.diagbot.vo;

import com.diagbot.dto.InforDTO;
import com.diagbot.dto.LibraryDTO;
import com.diagbot.dto.MedicalDTO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/1/17 16:23
 */
@Getter
@Setter
public class AddTermVo {
    /**
     * 添加术语基本信息
     */
    private AddLibraryVo libraryVo;

    /**
     * 添加术语相关医学知识
     */
    private List<InforDTO> information;

    /**
     * 添加医学临床信息
     */
    private List<MedicalDTO> medicalInfo;
}
