package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.GetDiseaseIcdDTO;
import com.diagbot.entity.DiseaseIcd;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 各医院对应的诊断icd Mapper 接口
 * </p>
 *
 * @author wangyu
 * @since 2019-02-14
 */
public interface DiseaseIcdMapper extends BaseMapper<DiseaseIcd> {

    /**
     * 根据医院编号和诊断ids获取icd
     *
     * @param map
     * @return
     */
    public List<GetDiseaseIcdDTO> getDiseaseIcds(Map map);
}
