package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.HospitalInfoDTO;
import com.diagbot.entity.HospitalInfo;
import com.diagbot.vo.HospitalInfoVO;

import java.util.List;

/**
 * <p>
 * 医院信息表 Mapper 接口
 * </p>
 *
 * @author rengb
 * @since 2018-11-19
 */
public interface HospitalInfoMapper extends BaseMapper<HospitalInfo> {


    /**
     * 获取医院信息
     * @param hospitalInfoVO
     * @return
     */
    List<HospitalInfoDTO> getHospitalInfos(HospitalInfoVO hospitalInfoVO);
    
    
    
}
