package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.GetDiseaseIcdDTO;
import com.diagbot.entity.DiseaseIcd;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 各医院对应的诊断icd 服务类
 * </p>
 *
 * @author wangyu
 * @since 2019-02-14
 */
public interface DiseaseIcdService extends IService<DiseaseIcd> {

    /**
     * 根据医院编号和诊断ids获取icd
     *
     * @param map
     * @return
     */
    public List<GetDiseaseIcdDTO> getDiseaseIcds(Map map);

}
