package com.diagbot.service.impl;

import com.diagbot.dto.GetDiseaseIcdDTO;
import com.diagbot.entity.DiseaseIcd;
import com.diagbot.mapper.DiseaseIcdMapper;
import com.diagbot.service.DiseaseIcdService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 各医院对应的诊断icd 服务实现类
 * </p>
 *
 * @author wangyu
 * @since 2019-02-14
 */
@Service
public class DiseaseIcdServiceImpl extends ServiceImpl<DiseaseIcdMapper, DiseaseIcd> implements DiseaseIcdService {

    @Override
    public List<GetDiseaseIcdDTO> getDiseaseIcds(Map map) {
        return baseMapper.getDiseaseIcds(map);
    }
}
