package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.TranFieldInfoDTO;
import com.diagbot.entity.TranFieldInfo;
import com.diagbot.mapper.TranFieldInfoMapper;
import com.diagbot.service.TranFieldInfoService;
import com.diagbot.vo.TranFieldInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 字段对应表 服务实现类
 * </p>
 *
 * @author wangyu
 * @since 2018-11-21
 */
@Service
public class TranFieldInfoServiceImpl extends ServiceImpl<TranFieldInfoMapper, TranFieldInfo> implements TranFieldInfoService {

    @Override
    public List<TranFieldInfoDTO> getInfosByUuid(TranFieldInfoVO tranFieldInfoVO) {
        return baseMapper.getInfosByUuid(tranFieldInfoVO);
    }
}
