package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description: 部位搜索参数
 * @Author: ztg
 * @Date: 2018/10/10 13:17
 */
@Getter
@Setter
public class SymptomSearchVO {

    @NotBlank(message = "请输入检索内容")
    private String name;
    @NotNull(message = "请输入性别")
    private Integer sexType;
    @NotNull(message = "请输入年龄")
    private Integer age;
}
