package com.diagbot.client.hystrix;


import java.util.List;

import org.springframework.stereotype.Component;

import com.diagbot.client.DiagbotmanClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.UserAndProdutDTO;

import lombok.extern.slf4j.Slf4j;
/**
 * 
 * @Description: 调用产品服务
 * @author wangfeng
 * @date 2018年9月26日 下午2:12:36
 */
@Component
@Slf4j
public class DiagbotmanServiceHystrix implements DiagbotmanClient {
	
	@Override
	public RespDTO<List<UserAndProdutDTO>> getInformationAvailableAll(List<Long> userIds){
		 log.error("【hystrix】调用{}异常","getInformationAvailableAll");
	        return null;
	}

	@Override
	public RespDTO<Integer> getUserWaitingRenewal(Long userId) {
		log.error("【hystrix】调用{}异常","getInformationAvailableAll");
		return null;
	}

	@Override
	public RespDTO<Integer> getOrderByUserToAudit(Long userId) {
		log.error("【hystrix】调用{}异常","getInformationAvailableAll");
		return null;
	}

}
