package com.diagbot.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.UserOrganization;

/**
 * @Description: 机构
 * @Author: ztg
 * @Date: 2018/9/13 17:19
 */
public interface UserOrganizationMapper extends BaseMapper<UserOrganization> {

    /**
     * @param organizationId 根据机构id查绑定的用户
     * @return
     */
    public List<UserOrganization> getAgencyPersonnel(@Param("userORG") UserOrganization userORG);

}
