package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description: appkey和secret接收参数
 * @Author: ztg
 * @Date: 2018/9/28 13:14
 */
@Getter
@Setter
public class AppkeySecretVO {

    @NotBlank(message = "请输入appkey!")
    private String appkey;
    @NotBlank(message = "请输入secret!")
    private String secret;

}
