package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description: 用户认证
 * @date 2018年9月20日 下午1:41:56
 */

@Getter
@Setter
public class UserInfoAuditVO {

    //private Integer isReject;//是否通过认证 0:未通过，1:已通过
    private Integer rejectType;//未通过类型
    private String rejectComment;//认证被拒理由
    //private Integer status;//认证状态（0：未认证，1：已认证，2：认证中）
    @NotNull(message = "请输入用户id")
    private Long userId;//用户id
    @NotNull(message = "请输入申请单号")
    private String orderNum;//申请单号
    
}
