package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 图片验证码验证输入信息
 * @author: gaodm
 * @time: 2018/9/3 15:38
 */
@Getter
@Setter
public class UserSaveVO {

    @NotBlank(message = "请输入密码")
    private String password;
    @NotBlank(message = "请输入手机号")
    private String username;
    @NotBlank(message = "请输入机构名称")
    private String organization;
    @NotBlank(message = "请输入联系人姓名")
    private String linkman;
    @NotBlank(message = "请输入邮箱")
    private String email; //邮箱
    //图片验证码唯一标志
    @NotBlank(message = "图片验证码唯一标志不能为空")
    private String imgId;
    //验证码
    @NotBlank(message = "请输入图形验证码")
    private String code;
}
